Module java.corba
Package org.omg.CORBA

## Class PolicyTypeHelper

- java.lang.Object
- - org.omg.CORBA.PolicyTypeHelper

-     public abstract class PolicyTypeHelper
      extends Object

  The Helper for `PolicyType`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/PolicyTypeHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:20 AM PDT

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PolicyTypeHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, int that)` |
    `static int` | `read​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream ostream, int value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyTypeHelper

          public PolicyTypeHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    int that)

    - #### extract

          public static int extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static int read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   int value)